{{- if index .Values.ocAuth.enabled }}
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: oc-auth-ingress
spec:
  entryPoints:
    - web
  routes:                           
    - kind: Rule
      match:  Host(`{{ .Values.host }}`) &&  PathPrefix(`/auth`)
      priority: 10                    
      services:
      - kind: Service
        name: oc-auth-svc
        passHostHeader: true
        port: 8094
      middlewares:
        - name: forwardauth
{{- end }}